//
//  diskListBgView.m
//  隐私保护
//
//  Created by xd h on 2024/1/23.
//

#import "diskListBgView.h"

@implementation diskListBgView

- (id)initWithFrame:(CGRect)frame{
    self = [super initWithFrame:frame];
    [self setBackgroundColor:[UIColor hwColor:@"000000" alpha:0.5]];
    [self drawAnyView];
    
   
    return self;
}

- (void)drawAnyView
{
    //self.backgroundColor = [UIColor redColor];
    
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(didClickTailViewFun)];
    [self addGestureRecognizer:tap];
}

- (void)didClickTailViewFun
{
    if(_didTapWhitePlace){
        _didTapWhitePlace();
    }
}

@end
